Page MenuHomePhabricator

[clang-tidy] Expand readability-redundant-smartptr-get to understand implicit converions to bool in more contexts.
ClosedPublic

Authored by sbenza on Jan 12 2018, 9:53 AM.

Event Timeline

sbenza created this revision.Jan 12 2018, 9:53 AM
aaron.ballman accepted this revision.Jan 13 2018, 8:22 AM

Aside from a minor formatting nit, LGTM!

clang-tidy/readability/RedundantSmartptrGetCheck.cpp
21

Spurious formatting change?

This revision is now accepted and ready to land.Jan 13 2018, 8:22 AM
sbenza updated this revision to Diff 129880.Jan 15 2018, 10:03 AM
sbenza marked an inline comment as done.

minor fix

This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.